be.ehealth.businessconnector.ehbox.v3.builders.impl

## Class ConsultationFullMessageBuilder

- java.lang.Object
- - be.ehealth.businessconnector.ehbox.v3.builders.impl.AbstractConsultationBuilder<GetFullMessageResponse>
  - - be.ehealth.businessconnector.ehbox.v3.builders.impl.ConsultationFullMessageBuilder

-     public class ConsultationFullMessageBuilder
      extends AbstractConsultationBuilder<GetFullMessageResponse>

  Implementation of `AbstractConsultationBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultationFullMessageBuilder()`
    `ConsultationFullMessageBuilder(Crypto crypto)` Deprecated. use the same without parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message<GetFullMessageResponse>` | `buildFullMessage(GetFullMessageResponse response)`

    - ### Methods inherited from class be.ehealth.businessconnector.ehbox.v3.builders.impl.AbstractConsultationBuilder

      `buildAddressee, buildAddressee`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultationFullMessageBuilder

          @Deprecated
          public ConsultationFullMessageBuilder(Crypto crypto)

      Deprecated. use the same without parameters.
      creates a new `ConsultationFullMessageBuilder`.
      Parameters:
        `crypto` -

    - #### ConsultationFullMessageBuilder

          public ConsultationFullMessageBuilder()

  - ### Method Detail

    - #### buildFullMessage

          public final Message<GetFullMessageResponse> buildFullMessage(GetFullMessageResponse response)
                                                                 throws EhboxBusinessConnectorException,
                                                                        TechnicalConnectorException

      Throws:
        `EhboxBusinessConnectorException`
        `TechnicalConnectorException`
      See Also:
        `ConsultationMessageBuilder.buildFullMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageResponse)`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.